Public Member Functions | Public Attributes | List of all members
libebook::BBeBColor Struct Reference

`#include <BBeBTypes.h>`

## Public Member Functions
| BBeBColor ()
| BBeBColor (unsigned color)
| BBeBColor (unsigned char red, unsigned char green, unsigned char blue, unsigned char alpha=0)

## Public Attributes
unsigned char | r
unsigned char | g
unsigned char | b
unsigned char | a

## Constructor & Destructor Documentation

## ◆ BBeBColor() [1/3]

libebook::BBeBColor::BBeBColor | ( |  | ) |

## ◆ BBeBColor() [2/3]

libebook::BBeBColor::BBeBColor | ( | unsigned | color | ) |
| explicit

## ◆ BBeBColor() [3/3]

libebook::BBeBColor::BBeBColor | ( | unsigned char | red,
|  | unsigned char | green,
|  | unsigned char | blue,
|  | unsigned char | alpha = 0 )

## Member Data Documentation

## ◆ a

unsigned char libebook::BBeBColor::a

## ◆ b

unsigned char libebook::BBeBColor::b

## ◆ g

unsigned char libebook::BBeBColor::g

## ◆ r

unsigned char libebook::BBeBColor::r

The documentation for this struct was generated from the following files:

- BBeBTypes.h
- BBeBTypes.cpp